using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business.CUSTOM_PDF.ConsulenzaUnica;
using Consulenza.ReportCommon;
using System.Linq;

namespace Consulenza.ReportWriter.Manager.Chapter.Unica
{
    /// <summary>
    /// S24.PatrimonioFideuramProdottiNonRappresentabili idCapitolo = 42
    /// </summary>
    public class S24 : Entity.Chapter
    {        
        public S24(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S24(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {             
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            var intestazione = new ChapterHeadingPDF(
                Helper.ReplaceVariables(GetText().Rows[0]["testo1"].ToString(), base.EnvironmentFacade.ReportEnvironment),
                EnvironmentFacade.RendererFacade.XLeftLimit,
                EnvironmentFacade.RendererFacade.YUpperLimit,
                EnvironmentFacade.ReportEnvironment.FontFamily);

            // Aggiungo gli elementi
            AddElement(intestazione.ToElement());
        }
    }
}
